<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * X-Cart
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the software license agreement
 * that is bundled with this package in the file LICENSE.txt.
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to licensing@x-cart.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not modify this file if you wish to upgrade X-Cart to newer versions
 * in the future. If you wish to customize X-Cart for your needs please
 * refer to http://www.x-cart.com/ for more information.
 *
 * @category  X-Cart 5
 * @author    Qualiteam software Ltd <info@x-cart.com>
 * @copyright Copyright (c) 2011-2013 Qualiteam software Ltd <info@x-cart.com>. All rights reserved
 * @link      http://www.x-cart.com/
 */

namespace XLite\Module\QSL\CallForPrice\View\FormField\Input\Checkbox;

/**
 * Call For Price switcher field.
 */
class CallForPriceSwitcher extends \XLite\View\FormField\Input\Checkbox\Switcher
{
    /**
     * Get a list of CSS files required to display the widget properly
     *
     * @return array
     */
    public function getCSSFiles()
    {
        $list = parent::getCSSFiles();
        $list[] = 'modules/QSL/CallForPrice/form_field/input/checkbox/call_for_price/switcher.css';

        return $list;
    }

    /**
     * Return name of the folder with templates
     *
     * @return string
     */
    protected function getDir()
    {
        return 'modules/QSL/CallForPrice/form_field';
    }

    /**
     * Return field template
     *
     * @return string
     */
    protected function getFieldTemplate()
    {
        return 'input/checkbox/call_for_price/switcher.tpl';
    }

    /**
     * Return field template
     *
     * @return string
     */
    protected function getFontIconClass()
    {
        return 'fa-shopping-cart';
    }

    /**
     * Register some data that will be sent to template as special HTML comment.
     *
     * @return array
     */
    protected function getCommentedData()
    {
        return array_merge(
            parent::getCommentedData(),
            array(
                'callForPriceText' => static::t('Call For Price'),
            )
        );
    }
}