<?php
// vim: set ts=4 sw=4 sts=4 et:

/**
 * X-Cart
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the software license agreement
 * that is bundled with this package in the file LICENSE.txt.
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to licensing@x-cart.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not modify this file if you wish to upgrade X-Cart to newer versions
 * in the future. If you wish to customize X-Cart for your needs please
 * refer to http://www.x-cart.com/ for more information.
 *
 * @category  X-Cart 5
 * @author    Qualiteam software Ltd <info@x-cart.com>
 * @copyright Copyright (c) 2011-2013 Qualiteam software Ltd <info@x-cart.com>. All rights reserved
 * @link      http://www.x-cart.com/
 */

namespace XLite\Module\QSL\CallForPrice\View\Form\Product;

/**
 * Decorated Add To Cart form widget.
 */
abstract class AddToCart extends \XLite\Module\CDev\Paypal\View\Form\Product\AddToCart implements \XLite\Base\IDecorator
{
    /**
     * Return form attributes
     *
     * @return array
     */
    protected function getFormAttributes()
    {
        $attrs = parent::getFormAttributes();

        $classes = join(' ', $this->getFormCSSClasses());
        $attrs['class'] = isset($attrs['class']) ? ($attrs['class'] . " $classes") : $classes;

        return $attrs;
    }

    /**
     * Get CSS classes to be added to the FORM tag.
     *
     * @return array
     */
    protected function getFormCSSClasses()
    {
        return $this->getProduct()->isCallForPrice()
            ? array('call-for-price-product') : array();
    }
} 